Subject: Re: [AVT] avt Digest, Vol 54, Issue 33

From: "Aaron Wells" <[email-masked]>
Date: Wed, 22 Oct 2008 18:51:19 -0700

Hi Greg,

Perhaps I read it too narrowly: 
when it says 
"For MPEG2 Program streams and MPEG1 system streams there are no
   packetization restrictions"

I understand it to mean that this applies only to MPEG2 program 
stream packetization and not to MPEG2 transport stream packetization.
I assumed this was because of the 2KB pack size doesn't fit into
the ~1.5KB UDP packet size.

Aaron

Aaron,

RFC-2250 says:

   For MPEG2 Transport Streams the RTP payload will contain an integral
   number of MPEG transport packets.  To avoid end system
   inefficiencies, data from multiple small MTS packets (normally fixed
   in size at 188 bytes) are aggregated into a single RTP packet.  The
   number of transport packets contained is computed by dividing RTP
   payload length by the length of an MTS packet (188).

   For MPEG2 Program streams and MPEG1 system streams there are no
   packetization restrictions; these streams are treated as a packetized
   stream of bytes.

So if you use transport streams you just encapsulate the whole
transport stream into the RTP stream - and the audio is in the
transport stream.  Simple.

If the transport stream uses H.264 to encode the video it's stream
type will be set accordingly.  The RTP layer is unaware of this.

At least, this is how it works on the one implementation that I know
of.  :)  I'd love to hear what others have to say.

Greg

On Wed, Oct 22, 2008 at 2:47 PM, Aaron Wells <[email-masked]>
wrote:
>
> All,
>
> RFC 2250 metions carrying MPEG1 and MPEG2 elementary
> video streams, either directly in RTP packets or encapsulated in
> MPEG2 transport stream.
>
> In my googling, I see various postings and documents which state
> that this recommendation pertains only to MPEG1 and MPEG2.
> However, on the market I am seeing devices which encode
> H.264, but claim to conform to RFC 2250.  (From what I can tell, they
> just make the obvious substitution.)
>
> This raises a few questions for me:
> 1) Does RFC 2250 limit the elementary streams carried in MPEG2
>        transport packets to be either MPEG1 or MPEG2 and exclude
>        H.264 and other elementary stream formats?
> 2) If so, is there some sort of "RFC 2250 bis" that extends this to
> H.264?
> 3) When directly packetized into RTP, audio and video are sent
>        separately, if I understand properly.  I also found an
>        RFC 2343 for "bundled MPEG" transport stream in RTP which
refers
>
>        to RFC 2250. One of the differentiating features cited in
2343's
>
>        introduction is the sending of audio and video together
>        in a single RTP stream.
>
>        Am I correct to infer from 2343 that RFC 2250 requires the
>        separation of audio and video into separate RTP streams,
>        even in the case that both are encapsulated in MPEG2 transport
> packets
>        as described in section 2?
>
>        If so, is it expected that PSI (PAT, PMT, PCR, SIT, ...) are
>        duplicated and sent in both RTP streams?
>        And if so, is the PMT modified in each to contain information
> only for
>                the relevant (audio or video) stream?
>
> Apologies in advance if this is the wrong forum to pose these
questions.
> Thanks
> Aaron 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www.ietf.org/mailman/listinfo/avt